Bug 7292 - ccache does not handle i18n conversion issues
ccache does not handle i18n conversion issues
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
2.4
Other Linux
: P3 major
: 3.0
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-25 07:39 UTC by Marek Brudka
Modified: 2010-07-09 04:19 UTC (History)
0 users

See Also:


Attachments
Sources with CP1250 encoding to demonstrate the bug (132 bytes, application/octet-stream)
2010-03-25 07:40 UTC, Marek Brudka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Brudka 2010-03-25 07:39:07 UTC
I can compile input-charset-bug.cpp source using directly gcc:
  g++-4.3 -finput-charset=cp1250 -c -o input-charset-bug.o input-charset-bug.cpp

Unfortunatelly, I cannot compile this source via ccache:
  g++ -finput-charset=cp1250 -c -o input-charset-bug.o input-charset-bug.cpp
  cc1plus: error: failure to convert cp1250 to UTF-8

It seems, that ccache feeds g++ with preprocessed source and leaves -finput-charset=cp1250 option.
Comment 1 Marek Brudka 2010-03-25 07:40:18 UTC
Created attachment 5538 [details]
Sources with CP1250 encoding to demonstrate the bug
Comment 2 Marek Brudka 2010-03-25 07:54:24 UTC
Quick fix:
  export CCACHE_CPP2=1
suggests that bug is somehow related with ccache preprocessing optimizations.
Comment 3 Joel Rosdahl 2010-04-13 01:03:41 UTC
Fixed in b0f0af5ac0e393ea45859e24093d8d8562e3c2ce.